## org.gnu.atk
Class Relation

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.atk.Relation

public class Relation
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Relation(AtkObject[] targets, RelationType relationship)`
`Relation(Handle handle)`

Method Summary
`void` `addTarget(AtkObject target)`
`protected static void` `atk_relation_add_target(Handle relation, Handle target)`
`protected static int` `atk_relation_get_relation_type(Handle relation)`
`protected static Handle[]` `atk_relation_get_target(Handle relation)`
`protected static int` `atk_relation_get_type()`
`protected static Handle` `atk_relation_new(Handle[] targets, int relationship)`
`protected static int` `atk_relation_type_for_name(java.lang.String name)`
`protected static java.lang.String` `atk_relation_type_get_name(int type)`
`protected static int` `atk_relation_type_register(java.lang.String name)`
`RelationType` `getRelationType()`
`static RelationType` `getRelationTypeForName(java.lang.String name)`
`static java.lang.String` `getRelationTypeName(RelationType type)`
`AtkObject[]` `getTargets()`
`static RelationType` `registerType(java.lang.String name)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Relation

    public Relation(AtkObject[] targets,
                    RelationType relationship)

### Relation

    public Relation(Handle handle)

Method Detail

### registerType

    public static RelationType registerType(java.lang.String name)

### getRelationTypeName

    public static java.lang.String getRelationTypeName(RelationType type)

### getRelationTypeForName

    public static RelationType getRelationTypeForName(java.lang.String name)

### getRelationType

    public RelationType getRelationType()

### getTargets

    public AtkObject[] getTargets()

### addTarget

    public void addTarget(AtkObject target)

### atk_relation_get_type

    protected static final int atk_relation_get_type()

### atk_relation_type_register

    protected static final int atk_relation_type_register(java.lang.String name)

### atk_relation_type_get_name

    protected static final java.lang.String atk_relation_type_get_name(int type)

### atk_relation_type_for_name

    protected static final int atk_relation_type_for_name(java.lang.String name)

### atk_relation_new

    protected static final Handle atk_relation_new(Handle[] targets,
                                                   int relationship)

### atk_relation_get_relation_type

    protected static final int atk_relation_get_relation_type(Handle relation)

### atk_relation_get_target

    protected static final Handle[] atk_relation_get_target(Handle relation)

### atk_relation_add_target

    protected static final void atk_relation_add_target(Handle relation,
                                                        Handle target)